%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtmultimedia
Version:       6.5.3
Release:       1mamba
Summary:       Qt6 multimedia components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtmultimedia-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gst-plugins-bad-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrandr-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtquick3d-devel
BuildRequires: qt6-qtshadertools-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}
BuildRequires: qt6-qtquick3d-devel = %{version}

%description
Qt6 multimedia components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtmultimedia-everywhere-src-%{version}

%build
%cmake -d build \
  -G Ninja

cmake --build .

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR="%{buildroot}" cmake --install build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6Multimedia.so.*
%{_libdir}/libQt6MultimediaQuick.so.*
%{_libdir}/libQt6MultimediaWidgets.so.*
%{_libdir}/libQt6SpatialAudio.so.*
%{_libdir}/libQt6Quick3DSpatialAudio.so.*
%{_libdir}/qt6/metatypes/qt6*.json
%{_libdir}/qt6/plugins/multimedia/lib*.so
%dir %{_libdir}/qt6/qml/QtMultimedia
%{_libdir}/qt6/qml/QtMultimedia/*
%dir %{_libdir}/qt6/qml/QtQuick3D/SpatialAudio
%{_libdir}/qt6/qml/QtQuick3D/SpatialAudio/*
%{_libdir}/qt6/modules/*.json
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtMultimedia
%{_includedir}/qt6/QtMultimedia/*
%dir %{_includedir}/qt6/QtMultimediaQuick
%{_includedir}/qt6/QtMultimediaQuick/*
%dir %{_includedir}/qt6/QtMultimediaWidgets
%{_includedir}/qt6/QtMultimediaWidgets/*
%dir %{_includedir}/qt6/QtSpatialAudio
%{_includedir}/qt6/QtSpatialAudio/*
%dir %{_includedir}/qt6/QtQuick3DSpatialAudio
%{_includedir}/qt6/QtQuick3DSpatialAudio/*
%{_libdir}/libQt6Quick3DSpatialAudio.prl
%{_libdir}/libQt6Quick3DSpatialAudio.so
%{_libdir}/libQt6Multimedia.prl
%{_libdir}/libQt6Multimedia.so
%{_libdir}/libQt6MultimediaQuick.prl
%{_libdir}/libQt6MultimediaQuick.so
%{_libdir}/libQt6MultimediaWidgets.prl
%{_libdir}/libQt6MultimediaWidgets.so
%{_libdir}/libQt6BundledResonanceAudio.a
%{_libdir}/libQt6SpatialAudio.prl
%{_libdir}/libQt6SpatialAudio.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_*.pri
%dir %{_libdir}/cmake/Qt6Multimedia
%{_libdir}/cmake/Qt6Multimedia/Qt6*.cmake
%dir %{_libdir}/cmake/Qt6MultimediaWidgets
%{_libdir}/cmake/Qt6MultimediaWidgets/Qt6MultimediaWidgets*.cmake
%{_libdir}/cmake/Qt6/Find*.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtMultimediaTestsConfig.cmake
%dir %{_libdir}/cmake/Qt6BundledResonanceAudio
%{_libdir}/cmake/Qt6BundledResonanceAudio/Qt6BundledResonance*.cmake
%dir %{_libdir}/cmake/Qt6MultimediaQuickPrivate
%{_libdir}/cmake/Qt6MultimediaQuickPrivate/Qt6MultimediaQuickPrivate*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6quickmultimedia*.cmake
%dir %{_libdir}/cmake/Qt6SpatialAudio
%{_libdir}/cmake/Qt6SpatialAudio/Qt6*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6quick3dspatialaudio*.cmake
%{_libdir}/cmake/Qt6Quick3DSpatialAudioPrivate/Qt6Quick3DSpatialAudioPrivate*.cmake
%{_libdir}/pkgconfig/Qt6Multimedia*.pc
%{_libdir}/pkgconfig/Qt6SpatialAudio.pc

%changelog
* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Sun Jul 23 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
